## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ElemTemplateElement.hpp File Reference

Include dependency graph for ElemTemplateElement.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds

- class ElemTemplateElement
- class ElemTemplateElement::LocatorProxy

## Defines

- #define XALAN_ELEMTEMPLATEELEMENT_HEADER_GUARD

## Typedefs

- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  Locator LocatorType

## Functions

- XALAN_DECLARE_XERCES_CLASS (AttributeList) XALAN_DECLARE_XERCES_CLASS(Locator) XALAN_CPP_NAMESPACE_BEGIN typedef XERCES_CPP_NAMESPACE_QUALIFIER AttributeList AttributeListType
- XALAN_USING_XERCES (AttributeList) XALAN_USING_XERCES(Locator) class ElemTemplate

## Define Documentation

#define XALAN_ELEMTEMPLATEELEMENT_HEADER_GUARD

## Typedef Documentation

typedef XERCES_CPP_NAMESPACE_QUALIFIER Locator LocatorType

## Function Documentation

XALAN_DECLARE_XERCES_CLASS ( | AttributeList )

XALAN_USING_XERCES ( | AttributeList )

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.